/*-----------------------------------------------------------------------------
[名称]	ReplacerDlg.h
[概要]	置換ダイアログクラスのヘッダ
[備考]	なし
[履歴]	2003-03-11	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_REPLACERDLG_H_INCLUDED_)
#define AFX_REPLACERDLG_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//-----------------------------------------------------------------------------
// インクルード・不完全定義
//-----------------------------------------------------------------------------
class CShitarabianDoc;
#include "ReplacerProgressDlg.h"



/*-----------------------------------------------------------------------------
[名称]	置換ダイアログクラス
[用途]	置換ダイアログにまつわる処理のカプセル。
[備考]	置換機能の管理もする。
-----------------------------------------------------------------------------*/
class CReplacerDlg : public CDialog
{
// コンストラクション
public:
	// 生成
	CReplacerDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	// 進捗ダイアログの取得
	CReplacerProgressDlg* GetProgressDialog(){ return( &m_ProgressDlg ); };

	// 表示状態操作
	void VisibleControl();

// ダイアログ データ
	//{{AFX_DATA(CReplacerDlg)
	enum { IDD = IDD_REPLACER };
	CButton	m_btnRegName;
	CComboBox	m_comboReplace;
	CComboBox	m_comboSubString;
	CString	m_strSubString;
	BOOL	m_bSelected;
	BOOL	m_bCaseCare;
	BOOL	m_bLoop;
	CString	m_strReplace;
	BOOL	m_bToken;
	BOOL	m_bRegExp;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CReplacerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	// 正規表現補完機能用ユーティリティ
	// 対象コンボボックス取得
	CComboBox*				GetComboBox();

protected:
	CReplacerProgressDlg	m_ProgressDlg;		// 進捗ダイアログ [-] (-)

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CReplacerDlg)
	afx_msg void OnReplacerNext();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnVisibleControl();
	afx_msg void OnReplacerReplace();
	afx_msg void OnReplacerAllreplace();
	afx_msg void OnReplacerRegpropose1();
	afx_msg void OnReplacerRegpropose2();
	afx_msg void OnRegexpChar();
	afx_msg void OnRegexpRenge();
	afx_msg void OnRegexpRengeover();
	afx_msg void OnRegexpHead();
	afx_msg void OnRegexpLast();
	afx_msg void OnRegexpNotToken();
	afx_msg void OnRegexpSpace();
	afx_msg void OnRegexpNotSpace();
	afx_msg void OnRegexpCount();
	afx_msg void OnRegexpTag();
	afx_msg void OnRegexpNot();
	afx_msg void OnRegexpOr();
	afx_msg void OnRegexp0match();
	afx_msg void OnRegexp1match();
	afx_msg void OnRegexpToken();
	afx_msg void OnRegexpGroup();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_REPLACERDLG_H_INCLUDED_)
